--天墉城
--副本入口

--脚本号
x102002_g_scriptId=102002

x100 = 3
--事件交互入口
function x102002_OnDefaultEvent( scene,selfId ,targetId)
	-- body
	BeginEvent(scene)
	AddText(scene,"[43596b]近日來，學院長老們發現黑暗森林中竟有魔化妖獸的蹤跡，恐怕這黑暗森林中有什麽變故，爾等前去黑暗森林深處妖王遺跡中查探一番，找出變異的源頭[-]")

	AddNumText(scene,x102002_g_scriptId,"黑暗森林",-1,1)
	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end

--事件列表选中一项

function x102002_OnEventRequest( scene,selfId,targetId,eventId ,index)
	-- body
	if index==1 then
		BeginEvent(scene)
		AddText(scene,"黑暗森林妖詭神秘，1個人進去恐怕有些不妥，去組個3人以上的隊伍")
		AddNumText(scene,x102002_g_scriptId,"進入副本",-2,1301)
		AddNumText(scene,x102002_g_scriptId,"便捷組隊",-2,1302,0,201)
		AddNumText(scene,x102002_g_scriptId,"副本說明",-1,1303)
		AddNumText(scene,x102002_g_scriptId,"返回",-1,1304)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 1301 then
		GotoCopyScene(scene,selfId,4)
	elseif index == 1302 then
		BeginEvent(scene)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 1303 then
		BeginEvent(scene)
		AddText(scene,"玩法说明：\n1. 副本开启等级为20级，达到等级的玩家可以進入副本\n2. 副本需要组队进入，队伍玩家人数不低于3人\n3. 每天前三次通关副本会获得完整掉落，超过三次后只能获得侠义值掉落\n4.黑暗森林中不但有强大的首领，还有随即刷出的隐藏首领哦 ")
		AddNumText(scene,x102002_g_scriptId,"進入副本",-2,1301)
		AddNumText(scene,x102002_g_scriptId,"便捷組隊",-2,1302,0,201)
		AddNumText(scene,x102002_g_scriptId,"副本說明",-1,1303)
		AddNumText(scene,x102002_g_scriptId,"返回",-1,1304)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 1304 then
		x102002_OnDefaultEvent(scene,selfId ,targetId)
	end

end